curl --request GET \
--url https://api.mnemom.ai/v1/on-chain/status/{agent_id} \
--header 'Authorization: Bearer <token>'{
"agent_id": "<string>",
"latest_anchor": {
"anchor_id": "<string>",
"merkle_root": "<string>",
"tx_hash": "<string>",
"block_number": 123,
"gas_used": 123,
"chain": "ethereum",
"agent_ids": [
"<string>"
],
"anchored_at": "2023-11-07T05:31:56Z"
},
"total_anchors": 123,
"pending_publications": 123,
"coverage": {
"integrity_anchored": true,
"reputation_anchored": true,
"last_anchored_at": "2023-11-07T05:31:56Z"
}
}Get the current on-chain anchoring status for an agent. Returns the most recent anchor, pending publications, and overall on-chain coverage statistics.
curl --request GET \
--url https://api.mnemom.ai/v1/on-chain/status/{agent_id} \
--header 'Authorization: Bearer <token>'{
"agent_id": "<string>",
"latest_anchor": {
"anchor_id": "<string>",
"merkle_root": "<string>",
"tx_hash": "<string>",
"block_number": 123,
"gas_used": 123,
"chain": "ethereum",
"agent_ids": [
"<string>"
],
"anchored_at": "2023-11-07T05:31:56Z"
},
"total_anchors": 123,
"pending_publications": 123,
"coverage": {
"integrity_anchored": true,
"reputation_anchored": true,
"last_anchored_at": "2023-11-07T05:31:56Z"
}
}Supabase JWT token in Authorization: Bearer header
Agent identifier (e.g. smolt-abc123)